CVE-2009-2140

HIGH

Description

Multiple heap-based buffer overflows in cppcanvas/source/mtfrenderer/emfplus.cxx in Go-oo 2.x and 3.x before 3.0.1, previously named ooo-build and related to OpenOffice.org (OOo), allow remote attackers to execute arbitrary code via a crafted EMF+ file, a similar issue to CVE-2008-2238.

References

http://cgit.freedesktop.org/ooo-build/ooo-build/commit/?id=49b4e38571912a7d28c4044e5b2bd57e51c77d55

http://marc.info/?l=oss-security&m=125258116800739&w=2

http://marc.info/?l=oss-security&m=125265261125765&w=2

http://marc.info/?l=oss-security&m=125363445702917&w=2

http://www.mandriva.com/security/advisories?name=MDVSA-2010:035

http://www.mandriva.com/security/advisories?name=MDVSA-2010:091

http://www.mandriva.com/security/advisories?name=MDVSA-2010:105

Details

Source: MITRE

Published: 2009-09-21

Updated: 2010-05-29

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH